<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty viewpass modifier plugin
 *
 * Type:     modifier<br>
 * Name:     viewpass<br>
 * Purpose:  パスワードの表示を修正します。
 * @author   Yuki Yoshioka
 * @param string
 * @param boolean	stringの文字数を考慮するか否かのフラグ。
 * @param string	修正する文字列です。
 * @param boolean	修正の有効・無効を切り替えるフラグ。
 * @return string
 */
function smarty_modifier_viewpass($string, $adjust = true, $mask = '*', $switch = true)
{
	if(strlen($string) && $switch)
	{
		return ($adjust) ? str_repeat($mask,strlen($string)) : $mask;
	}
	else
	{
		return $string;
	}
}

/* vim: set expandtab: */

?>
